Debian Bug report logs - #574299
netsurf: FTBFS: scanner.l:109: error: 'DELIM' undeclared (first use in this function)

version graph

Package: src:netsurf; Maintainer for src:netsurf is Vincent Sanders <vince@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 17 Mar 2010 12:42:16 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Merged with 595828

Found in version netsurf/2.1-2.1

Fixed in version netsurf/2.7-1

Done: Vincent Sanders <vince@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>:
Bug#574299; Package src:netsurf. (Wed, 17 Mar 2010 12:42:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>. (Wed, 17 Mar 2010 12:42:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: netsurf: FTBFS: scanner.l:109: error: 'DELIM' undeclared (first use in this function)
Date: Wed, 17 Mar 2010 13:33:42 +0100
Source: netsurf
Version: 2.1-2.1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100316 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-netsurf_2.1-2.1-amd64-VyaL2R/netsurf-2.1'
>    MKDIR: build-Linux-gtk
>    MKDIR: build-Linux-gtk/deps
> MAKEENUM: css
>    LEMON: css/parser.y
> 51 parsing conflicts.
>  COMPILE: utils/utils.c
>  COMPILE: utils/utf8.c
>  COMPILE: utils/useragent.c
>  COMPILE: utils/url.c
>  COMPILE: utils/talloc.c
>  COMPILE: utils/messages.c
>  COMPILE: utils/locale.c
>  COMPILE: utils/hashtable.c
>  COMPILE: utils/filename.c
>  COMPILE: utils/base64.c
>  COMPILE: render/textplain.c
>  COMPILE: render/table.c
>  COMPILE: render/loosen.c
>  COMPILE: render/list.c
>  COMPILE: render/layout.c
>  COMPILE: render/imagemap.c
>  COMPILE: render/hubbub_binding.c
>  COMPILE: render/html_redraw.c
>  COMPILE: render/html.c
>  COMPILE: render/form.c
>  COMPILE: render/directory.c
>  COMPILE: render/box_normalise.c
>  COMPILE: render/box_construct.c
>  COMPILE: render/box.c
>  COMPILE: image/svg.c
>  COMPILE: image/rsvg.c
>  COMPILE: image/png.c
>  COMPILE: image/nssprite.c
>  COMPILE: image/mng.c
>  COMPILE: image/jpeg.c
>  COMPILE: image/ico.c
>  COMPILE: image/gif.c
>  COMPILE: image/bmp.c
>  COMPILE: gtk/gtk_window.c
>  COMPILE: gtk/gtk_treeview.c
>  COMPILE: gtk/gtk_thumbnail.c
>  COMPILE: gtk/gtk_throbber.c
> gtk/gtk_throbber.c: In function 'nsgtk_throbber_initialise_from_gif':
> gtk/gtk_throbber.c:157: warning: attempt to free a non-heap object 'throb'
> gtk/gtk_throbber.c:173: warning: attempt to free a non-heap object 'throb'
> gtk/gtk_throbber.c:200: warning: attempt to free a non-heap object 'throb'
>  COMPILE: gtk/gtk_tabs.c
>  COMPILE: gtk/gtk_selection.c
>  COMPILE: gtk/gtk_schedule.c
>  COMPILE: gtk/gtk_scaffolding.c
>  COMPILE: gtk/gtk_print.c
>  COMPILE: gtk/gtk_plotters.c
>  COMPILE: gtk/gtk_login.c
>  COMPILE: gtk/gtk_history.c
>  COMPILE: gtk/gtk_gui.c
>  COMPILE: gtk/gtk_filetype.c
>  COMPILE: gtk/gtk_download.c
>  COMPILE: gtk/gtk_completion.c
>  COMPILE: gtk/gtk_bitmap.c
>  COMPILE: gtk/font_pango.c
>  COMPILE: gtk/dialogs/gtk_source.c
>  COMPILE: gtk/dialogs/gtk_options.c
>  COMPILE: gtk/dialogs/gtk_about.c
>  COMPILE: desktop/version.c
>  COMPILE: desktop/tree.c
>  COMPILE: desktop/textinput.c
>  COMPILE: desktop/selection.c
>  COMPILE: desktop/save_text.c
>  COMPILE: desktop/save_pdf/pdf_plotters.c
>  COMPILE: desktop/save_pdf/font_haru.c
>  COMPILE: desktop/print.c
>  COMPILE: desktop/options.c
>  COMPILE: desktop/netsurf.c
>  COMPILE: desktop/knockout.c
>  COMPILE: desktop/history_core.c
>  COMPILE: desktop/frames.c
>  COMPILE: desktop/browser.c
>     RE2C: css/scanner.l
>  COMPILE: css/scanner.c
> scanner.l: In function 'css_tokenise':
> scanner.l:109: error: 'DELIM' undeclared (first use in this function)
> scanner.l:109: error: (Each undeclared identifier is reported only once
> scanner.l:109: error: for each function it appears in.)
> scanner.l:63: error: 'IDENT' undeclared (first use in this function)
> scanner.l:104: error: 'PLUS' undeclared (first use in this function)
> scanner.l:68: error: 'NUMBER' undeclared (first use in this function)
> scanner.l:106: error: 'DOT' undeclared (first use in this function)
> scanner.l:80: error: 'SEMI' undeclared (first use in this function)
> scanner.l:81: error: 'LBRACE' undeclared (first use in this function)
> scanner.l:82: error: 'RBRACE' undeclared (first use in this function)
> scanner.l:83: error: 'LPAREN' undeclared (first use in this function)
> scanner.l:84: error: 'RPAREN' undeclared (first use in this function)
> scanner.l:85: error: 'LBRAC' undeclared (first use in this function)
> scanner.l:86: error: 'RBRAC' undeclared (first use in this function)
> scanner.l:88: error: 'S' undeclared (first use in this function)
> scanner.l:107: error: 'ASTERISK' undeclared (first use in this function)
> scanner.l:101: error: 'EQUALS' undeclared (first use in this function)
> scanner.l:102: error: 'COLON' undeclared (first use in this function)
> scanner.l:103: error: 'COMMA' undeclared (first use in this function)
> scanner.l:105: error: 'GT' undeclared (first use in this function)
> scanner.l:99: error: 'SUBSTR' undeclared (first use in this function)
> scanner.l:98: error: 'SUFFIX' undeclared (first use in this function)
> scanner.l:97: error: 'PREFIX' undeclared (first use in this function)
> scanner.l:96: error: 'DASHMATCH' undeclared (first use in this function)
> scanner.l:95: error: 'INCLUDES' undeclared (first use in this function)
> scanner.l:69: error: 'PERCENTAGE' undeclared (first use in this function)
> scanner.l:70: error: 'DIMENSION' undeclared (first use in this function)
> scanner.l:66: error: 'HASH' undeclared (first use in this function)
> scanner.l:65: error: 'STRING' undeclared (first use in this function)
> scanner.l:64: error: 'ATKEYWORD' undeclared (first use in this function)
> scanner.l:93: error: 'FUNCTION' undeclared (first use in this function)
> scanner.l:73: error: 'URI' undeclared (first use in this function)
> scanner.l:75: error: 'UNICODE_RANGE' undeclared (first use in this function)
>  COMPILE: css/ruleset.c
>  COMPILE: css/parser.c
>  COMPILE: css/css_enum.c
>  COMPILE: css/css.c
> css/css.c: In function 'css_parse_property_list':
> css/css.c:1552: error: 'LBRACE' undeclared (first use in this function)
> css/css.c:1552: error: (Each undeclared identifier is reported only once
> css/css.c:1552: error: for each function it appears in.)
> css/css.c:1571: error: 'RBRACE' undeclared (first use in this function)
>  COMPILE: content/urldb.c
>  COMPILE: content/fetchers/fetch_data.c
>  COMPILE: content/fetchers/fetch_curl.c
>  COMPILE: content/fetchcache.c
>  COMPILE: content/fetch.c
>  COMPILE: content/content.c
> make[1]: Leaving directory `/build/user-netsurf_2.1-2.1-amd64-VyaL2R/netsurf-2.1'
> M.CONFIG: building with JPEG support
> M.CONFIG: building without JNG/MNG/PNG support
> M.CONFIG: building without PDF export
> M.CONFIG: building with glibc internal iconv
> M.CONFIG: auto-enabled SVG rendering (librsvg-2.0).
> M.CONFIG: building with NetSurf BMP decoder
> M.CONFIG: auto-enabled NetSurf BMP decoder (libnsbmp).
> M.CONFIG: building with NetSurf GIF decoder
> M.CONFIG: auto-enabled NetSurf GIF decoder (libnsgif).
> M.CONFIG: building with PNG support
> M.CONFIG: auto-enabled PNG support (libpng).
> make[1]: Entering directory `/build/user-netsurf_2.1-2.1-amd64-VyaL2R/netsurf-2.1'
>  COMPILE: css/css.c
> css/css.c: In function 'css_parse_property_list':
> css/css.c:1552: error: 'LBRACE' undeclared (first use in this function)
> css/css.c:1552: error: (Each undeclared identifier is reported only once
> css/css.c:1552: error: for each function it appears in.)
> css/css.c:1571: error: 'RBRACE' undeclared (first use in this function)
> make[1]: *** [build-Linux-gtk/css_css.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/03/16/netsurf_2.1-2.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added blocking bug(s) of 574299: 576272 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 02 Apr 2010 13:33:03 GMT) Full text and rfc822 format available.

Merged 574299 595828. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 00:42:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:55 GMT) Full text and rfc822 format available.

Reply sent to Vincent Sanders <vince@debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 00:36:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 00:36:05 GMT) Full text and rfc822 format available.

Message #16 received at 574299-close@bugs.debian.org (full text, mbox):

From: Vincent Sanders <vince@debian.org>
To: 574299-close@bugs.debian.org
Subject: Bug#574299: fixed in netsurf 2.7-1
Date: Fri, 22 Apr 2011 00:32:36 +0000
Source: netsurf
Source-Version: 2.7-1

We believe that the bug you reported is fixed in the latest version of
netsurf, which is due to be installed in the Debian FTP archive:

netsurf-gtk_2.7-1_amd64.deb
  to main/n/netsurf/netsurf-gtk_2.7-1_amd64.deb
netsurf_2.7-1.debian.tar.gz
  to main/n/netsurf/netsurf_2.7-1.debian.tar.gz
netsurf_2.7-1.dsc
  to main/n/netsurf/netsurf_2.7-1.dsc
netsurf_2.7-1_all.deb
  to main/n/netsurf/netsurf_2.7-1_all.deb
netsurf_2.7.orig.tar.gz
  to main/n/netsurf/netsurf_2.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Sanders <vince@debian.org> (supplier of updated netsurf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Apr 2011 09:55:01 +0100
Source: netsurf
Binary: netsurf netsurf-gtk
Architecture: source all amd64
Version: 2.7-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Sanders <vince@debian.org>
Changed-By: Vincent Sanders <vince@debian.org>
Description: 
 netsurf    - Small web browser with CSS - Transition package
 netsurf-gtk - Small web browser with CSS support
Closes: 574299 586662
Changes: 
 netsurf (2.7-1) unstable; urgency=low
 .
   * New upstream (Closes: #586662)
   * NetSurf no longer requires lemon to build (Closes: #574299)
Checksums-Sha1: 
 53892d91eca6146ce46a344ce465ae72c0b0cadb 1169 netsurf_2.7-1.dsc
 3f04965596bd1c63ff9bf2f7e33cc88e0068e185 4253545 netsurf_2.7.orig.tar.gz
 1c05f6fe0fe2e48043869b9d3432d4a0e138539b 12183 netsurf_2.7-1.debian.tar.gz
 927a1575bbbc1f7a877ca42103cb2ddc6094f969 5488 netsurf_2.7-1_all.deb
 27b92379373cad3d710912233eecd578e50b2393 962648 netsurf-gtk_2.7-1_amd64.deb
Checksums-Sha256: 
 96f43d7b6ee2ebb5c7066ccdae0c72b6a2dc08cb23b2cd7c3b9e432d6fea45a6 1169 netsurf_2.7-1.dsc
 83268347c46db2cbf1f46724dada59329d8ee8f1b62fae8f21704850bd7cff20 4253545 netsurf_2.7.orig.tar.gz
 87187c81b296a7cf22cbfa142f16f421878139b7f004e210232e2e381081aca3 12183 netsurf_2.7-1.debian.tar.gz
 d72deb8732d513b556b55654f94ae46047a12c1ca2d1a2dd45fd87e86bed2e76 5488 netsurf_2.7-1_all.deb
 f4641d89a76b17e40e1973d6df1125d94d63e8984fac08b32da50e38fdddae21 962648 netsurf-gtk_2.7-1_amd64.deb
Files: 
 2cad5d45ab94b137ab63518ea3ce7703 1169 web extra netsurf_2.7-1.dsc
 01f95fe6667fea1b6b316ab0d1a61ad1 4253545 web extra netsurf_2.7.orig.tar.gz
 99ca9627696fd799006cb74512c4e26e 12183 web extra netsurf_2.7-1.debian.tar.gz
 a476795e20e87cfce6e80d89e068b7cd 5488 web extra netsurf_2.7-1_all.deb
 1b538d3cd539b2277b3083b5ce0ad48d 962648 web extra netsurf-gtk_2.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNsMfviUwwPOvjHvURAvHAAKDYP0g4tVPPdAmwB+HtgyxZvwmsSACaAksb
8cicjg8WRScaOHl7OabR61g=
=yUOv
-----END PGP SIGNATURE-----





Reply sent to Vincent Sanders <vince@debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 00:36:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 00:36:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 May 2011 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:10:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.